(function ($) {
    'use strict';
    $(function () {
        var $header_sticky = $('.header-sticky');

        if ($header_sticky.length) {
            var header_sticky_position = $header_sticky.offset().top,
                $header_sticky_height = $("<div class='sticky-height'></div>"),
                adminbarheight = $('#wpadminbar').height() ? $('#wpadminbar').height() : 0;
            $header_sticky.after($header_sticky_height);

            $(window).scroll(function (event) {
                var header_sticky_height = $header_sticky.height();
                if ($(this).scrollTop() > (header_sticky_position - adminbarheight)) {
                    $header_sticky.addClass('active');
                    $header_sticky_height.css({
                        height: header_sticky_height
                    })
                } else {
                    $header_sticky.removeClass('active');
                    $header_sticky_height.css({
                        height: ''
                    })
                }
            });
        }
    });
})(jQuery);
