"use strict";
(function ($) {
	$(document).ready(function () {
		$('body').on('click', '[data-toggle="tab"]', function (event) {
			event.preventDefault();
			var $this = $(this);
			$this.closest('.ulisting-tabs').find('>li').removeClass('active');
			$this.closest('li').addClass('active');
			$('.tab-content .tab-pane').removeClass('active');
			$($this.attr('href')).addClass('active');
		})


	});

	$(window).load(function(){
		var $container = $('.author-data-location');
		if( $container.length ){
			var lat = $container.attr('data-lat');
			var lng = $container.attr('data-lng');
			var icon = $container.attr('data-icon');

			var mapOptions = {
				center: new google.maps.LatLng(lat, lng),
				zoom: 15,
				streetViewControl: false,
				mapTypeControl: false,
				styles: $container.data('color')
			};

			var map = new google.maps.Map($container.get(0), mapOptions);
			var marker = new google.maps.Marker({
				position: new google.maps.LatLng(lat, lng),
				map: map,
				icon: {
					url: icon,
					scaledSize: {
						height: 40,
						width: 40
					}
				}
			});
			marker.setMap(map);
		}
	})
})(jQuery);
