(function ($) {
    'use strict';

    function tooltip() {
        $('body').on('hover', '.rentex-wishlist-btn:not(.tooltipstered), .ulisting_listing-compare:not(.tooltipstered)', function () {
            var $element = $(this);
            if (typeof $.fn.tooltipster !== 'undefined') {
                $element.tooltipster({
                    position: 'top',
                    functionBefore: function (instance, helper) {
                        instance.content(instance._$origin.text());
                    },
                    theme: 'rentex-tooltipster',
                    delay: 0,
                    animation: 'grow'
                }).tooltipster('show');
            }

        });
    }

    $(document).ready(function (event) {
        tooltip();
    });
})(jQuery);
