<?php
add_filter("ulisting_user_meta_data", function ($data) {
    $nickname                 = get_user_meta($data['user']->ID, "nickname");
    $data['data']['nickname'] = [
        'name'  => "Nickname",
        'value' => (isset($nickname[0])) ? $nickname[0] : ""
    ];

    $position                 = get_user_meta($data['user']->ID, "position");
    $data['data']['position'] = [
        'name'  => "Position",
        'value' => (isset($position[0])) ? $position[0] : ""
    ];

    $phone_mobile                 = get_user_meta($data['user']->ID, "phone_mobile");
    $data['data']['phone_mobile'] = [
        'name'  => "Mobile Phone",
        'value' => (isset($phone_mobile[0])) ? $phone_mobile[0] : ""
    ];

    $phone_office                 = get_user_meta($data['user']->ID, "phone_office");
    $data['data']['phone_office'] = [
        'name'  => "Office Phone",
        'value' => (isset($phone_office[0])) ? $phone_office[0] : ""
    ];

    $fax                 = get_user_meta($data['user']->ID, "fax");
    $data['data']['fax'] = [
        'name'  => "Fax",
        'value' => (isset($fax[0])) ? $fax[0] : ""
    ];

    $url                 = get_user_meta($data['user']->ID, "url");
    $data['data']['url'] = [
        'name'  => "Url",
        'value' => (isset($url[0])) ? $url[0] : ""
    ];

    $address                 = get_user_meta($data['user']->ID, "address");
    $data['data']['address'] = [
        'name'  => "Address",
        'value' => (isset($address[0])) ? $address[0] : ""
    ];

    $latitude                 = get_user_meta($data['user']->ID, "latitude");
    $data['data']['latitude'] = [
        'name'  => "latitude",
        'value' => (isset($latitude[0])) ? $latitude[0] : ""
    ];

    $longitude                 = get_user_meta($data['user']->ID, "longitude");
    $data['data']['longitude'] = [
        'name'  => "Longitude",
        'value' => (isset($longitude[0])) ? $longitude[0] : ""
    ];

    $license                 = get_user_meta($data['user']->ID, "license");
    $data['data']['license'] = [
        'name'  => "License",
        'value' => (isset($license[0])) ? $license[0] : ""
    ];

    $tax_number                 = get_user_meta($data['user']->ID, "tax_number");
    $data['data']['tax_number'] = [
        'name'  => "Tax number",
        'value' => (isset($tax_number[0])) ? $tax_number[0] : ""
    ];

    $description                 = get_user_meta($data['user']->ID, "description");
    $data['data']['description'] = [
        'name'  => "Description",
        'value' => (isset($description[0])) ? $description[0] : ""
    ];

    $google_plus                 = get_user_meta($data['user']->ID, "google_plus");
    $data['data']['google_plus'] = [
        'name'  => "Google plus",
        'value' => (isset($google_plus[0])) ? $google_plus[0] : ""
    ];

    $youtube_play                 = get_user_meta($data['user']->ID, "youtube_play");
    $data['data']['youtube_play'] = [
        'name'  => "Youtube play",
        'value' => (isset($youtube_play[0])) ? $youtube_play[0] : ""
    ];

    $linkedin                 = get_user_meta($data['user']->ID, "linkedin");
    $data['data']['linkedin'] = [
        'name'  => "Linkedin",
        'value' => (isset($linkedin[0])) ? $linkedin[0] : ""
    ];

    return $data;
});
