<header id="masthead" class="site-header header-2" role="banner" style="<?php rentex_header_styles(); ?>">
    <div class="<?php if (rentex_get_theme_option('show-header-sticky') == true) echo esc_attr('header-sticky'); ?>">
        <div class="header-container">
            <div class="header-left mobile-group-button">
                <?php
                rentex_site_branding();
                ?>
            </div>
            <div class="header-center desktop-hide-down">
                <?php rentex_primary_navigation(); ?>
            </div>
            <div class="header-right">
                <div class="header-group-action">
                    <?php
                    rentex_header_account();
                    if (rentex_is_ulisting_activated()) {
                        rentex_ulisting_wislish_button();
                        rentex_ulisting_compare_button();
                        if (rentex_get_theme_option('show-header-addlisting', true)) {
                            ?>
                            <a class="button button-add-listing" href="<?php echo esc_url(stml_get_link('add_listing')); ?>">
                                <i class="rentex-icon-home-plus"></i>
                                <span><?php echo esc_html__('Add Listing', 'rentex'); ?></span>
                            </a>
                            <?php
                        }
                    }
                    rentex_mobile_nav_button();
                    ?>
                </div>
            </div>
        </div>
    </div>
</header><!-- #masthead -->
