<header id="masthead" class="site-header header-3" role="banner" style="<?php rentex_header_styles(); ?>">
    <div class="header-topbar desktop-hide-down">
        <div class="container">
            <div class="row align-items-center justify-content-between">
                <div class="column">
                    <?php rentex_topbar_navigation(); ?>

                </div>
                <div class="column">
                    <div class="header-group-action">
                        <?php
                        rentex_header_account();
                        if (rentex_is_ulisting_activated()) {
                            rentex_ulisting_wislish_button();
                            rentex_ulisting_compare_button();
                        }
                        rentex_mobile_nav_button();
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-container container">
        <div class="header-left mobile-group-button">
            <?php
            rentex_site_branding();
            ?>
        </div>
        <div class="header-center desktop-hide-down">
            <?php rentex_header_contact_info(); ?>
        </div>
        <div class="header-right">
            <div class="header-group-action">
                <div class="desktop-hide header-group-inner">
                    <?php
                    rentex_header_account();
                    if (rentex_is_ulisting_activated()) {
                        rentex_ulisting_wislish_button();
                        rentex_ulisting_compare_button();
                    }
                    ?>
                </div>
                <?php
                if (rentex_is_ulisting_activated() && rentex_get_theme_option('show-header-addlisting', true)) {
                    ?>
                    <a class="button button-add-listing" href="<?php echo esc_url(stml_get_link('add_listing')); ?>">
                        <i class="rentex-icon-home-plus"></i>
                        <span><?php echo esc_html__('Add Listing', 'rentex'); ?></span>
                    </a>
                    <?php
                }
                rentex_mobile_nav_button();
                ?>
            </div>
        </div>
    </div>
    <div class="header-bottom desktop-hide-down">
        <div class="container">
            <?php rentex_primary_navigation(); ?>
        </div>
    </div>
</header><!-- #masthead -->
