<?php
/*
 Template Name: IDX-iHomefinder
 */
?>

<?php get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

            <?php
            while ( have_posts() ) :
                the_post();

                do_action( 'rentex_page_before' );

                get_template_part( 'content', 'page' );

                /**
                 * Functions hooked in to rentex_page_after action
                 *
                 * @see rentex_display_comments - 10
                 */
                do_action( 'rentex_page_after' );

            endwhile; // End of the loop.
            ?>

        </main><!-- #main -->
    </div><!-- #primary -->

    <div id="secondary" class="widget-area idx-sidebar" role="complementary">
        <?php do_action('rentex_sidebar_before'); ?>
        <?php
        if (is_active_sidebar('Sidebar iHomefinder')) {
            dynamic_sidebar('Sidebar iHomefinder');
        }
        ?>
    </div><!-- #secondary -->

<?php get_footer(); ?>
