<?php
/**
 * Account my agents
 *
 * Template can be modified by copying it to yourtheme/ulisting/account/my-agents.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.4
 */

use uListing\Classes\StmListingTemplate;
use uListing\Classes\StmUser;

$args = array(
    'number'     => -1,
    'meta_key'   => 'agency_id',
    'meta_value' => $user->ID,
    'order'      => 'DESC'
);

$user_query = new WP_User_Query($args);
?>
<div class="ulisting-my-agents">
    <h2 class="page-title"><?php esc_html_e('My Agents', 'rentex'); ?></h2>

    <?php StmListingTemplate::load_template('account/my-agents/add', ['user' => $user], true); ?>

    <div class="user_box-list">
        <?php
        rentex_get_list_user($args,'grid',3,2,1)
        ?>
    </div>
</div>



