<?php
/**
 * Add listing add
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/add.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */
use uListing\Classes\StmListingType;
use uListing\Classes\StmListingTemplate;
use uListing\Classes\StmListingSettings;

$view = 'add-listing/listing-type';
$listingType = null;
if(isset($_GET['listingType']) AND $listingType = StmListingType::find_one($_GET['listingType'])) {
	$view = 'add-listing/form';
}
$step2 = $step3 = false;
if(isset($_GET['listingType']) && $_GET['listingType']){
	$step2 = true;
}
?>
<h2 class="page-title"><?php esc_html_e('Add listing', 'rentex')?></h2>

<div class="breadcrumb-dashboard">
    <a class="steps active" href="<?php echo esc_url(stml_get_link('add_listing')); ?>">
        <span class="step-number">1</span>
        <span class="step-title"><?php esc_html_e('Listing Type', 'rentex'); ?></span>
    </a>
    <span class="steps<?php echo true === $step2 ? ' active': ''; ?>">
        <span class="step-number">2</span>
        <span class="step-title"><?php esc_html_e('Create Listing', 'rentex') ?></span>
    </span>
    <span class="steps">
        <span class="step-number">3</span>
        <span class="step-title"><?php esc_html_e('Done', 'rentex') ?></span>
    </span>
</div>

<?php echo StmListingTemplate::load_template($view, array(
	'user'        => $user,
	'listing'     => null,
	'user_plans'  => $user_plans,
	'listingType' => $listingType,
	'return_url'  =>  get_page_link( StmListingSettings::getPages(StmListingSettings::PAGE_ACCOUNT_PAGE) ),
	'action'      => esc_html__('Create', 'rentex'),
), true );?>







