<?php
/**
 * Add listing field multiselect
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/field/multiselect.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */
?>
<div class="ulisting-form-gruop form-field multiple-checkbox">
    <label class="mb-15"><?php echo esc_html($attribute->title)?></label>
    <div class="stm-row">
        <div class="stm-col-12 stm-col-sm-4 rentex-checkbox" v-for="(val, key) in attributes.<?php echo esc_attr($attribute->name)?>.options">
            <label>
                <input type="checkbox" v-bind:value="val.id" v-model="attributes.<?php echo esc_attr($attribute->name)?>.value">
                {{val.text}}
                <span class="checkbox-frame"><i class="fa fas fa-check"></i></span>
            </label>
        </div>
    </div>
    <span v-if="errors['<?php echo esc_attr($attribute->name)?>']" class="form-valid-error">{{errors['<?php echo esc_attr($attribute->name)?>']}}</span>
</div>
