<?php
/**
 * Builder attribute title
 *
 * Template can be modified by copying it to yourtheme/ulisting/builder/attribute/title.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */

?>
<div class="listing-single-title style_1">
    <div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element) ?>>
        <div class="wrapper">
            <?php
            if (is_singular('listing')) {
                echo '<h1 class="title">'.esc_html($args['model']->post_title).'</h1>';
            }else{ ?>
                <h2 class="title">
                    <a href="<?php echo get_permalink($args['model'])?>">
                        <?php echo esc_html($args['model']->post_title); ?>
                    </a>
                </h2>
            <?php
            }
            ?>
        </div>
    </div>
</div>
