<?php
if (!defined('ABSPATH')) exit;
/**
 * Builder basic accordion
 *
 * Template can be modified by copying it to yourtheme/ulisting/builder/basic/accordion.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.3.9
 */
rentex_listing_action_other('rentex-ulisting-floorplan.js');
$id = "accordion_" . rand(10, 99999);
if ($items = get_post_meta($args['model']->ID, $element['params']['attribute'], true))
	$items = json_decode($items, true);
$count = 1;
?>
<?php if (is_array($items)): ?>
	<div id="<?php echo esc_attr($id) ?>">
		<?php foreach ($items as $key => $item): ?>
			<div class="card card-accordion rentex-accordion">
				<div class="card-header js-btn-accordion<?php if ($count == 1) echo ' active'; ?>">
					<div class="mb-0">
						<div class="stm-row">
							<div class="stm-col-12 stm-col-sm-4">
								<button class="btn btn-link card-title">
									<?php echo esc_attr($item['title']) ?>
								</button>
							</div>
							<div class="stm-col-12 stm-col-sm-8 text-right">
								<?php foreach ($item['options'] as $_item): ?>
									<div class="card-option">
										<strong><?php echo esc_attr($_item['key']) ?></strong>
										<span><?php echo esc_attr($_item['val']) ?></span>
									</div>
								<?php endforeach; ?>
							</div>
						</div>
					</div>
				</div>
				<div class="card-collapse js-card-body<?php if ($count == 1) echo ' active'; ?>">
					<div class="card-body">
						<?php if (!empty($item['shortcode'])):
							echo '<div class="card-shortcode">' . do_shortcode($item['shortcode']) . '</div>';
						endif; ?>
						<?php printf('<div class="card-content">%s</div>', $item['content']); ?>
					</div>
				</div>
			</div>
			<?php
			$count++;
		endforeach; ?>
	</div>
<?php endif; ?>
