<?php
/**
 * Builder element html
 *
 * Template Carousel Listing
 */
rentex_listing_action_other('slick');
rentex_listing_action_other('rentex-ulisting-carousel-listing.js');
if (!isset($element['params']['listing_posts_type_list']) || empty($element['params']['listing_posts_type_list'])) return;
$element['params']['ulisting_posts_carousel_styles'] = 'style_1';
$style                                               = $element['params']['listing_posts_view'] = 'ulisting_posts_carousel rentex-carousel js-listing-carousel';
$item_template                                       = isset($element['params']['style_template']) ? $element['params']['style_template'] : '';
$sort_by                                             = isset($element['params']['listing_posts_sort_by']) ? $element['params']['listing_posts_sort_by'] : 'latest';
$type_id                                             = isset($element['params']['listing_posts_type_list']) ? $element['params']['listing_posts_type_list'] : 0;
$per_page                                            = isset($element['params']['listing_posts_per_page']) ? $element['params']['listing_posts_per_page'] : '3';
$carousel_nav                                        = isset($element['params']['ulisting_posts_carousel_nav']) ? $element['params']['ulisting_posts_carousel_nav'] : 'true';
$carousel_dots                                       = isset($element['params']['ulisting_posts_carousel_dots']) ? $element['params']['ulisting_posts_carousel_dots'] : 'true';
$carousel_loop                                       = isset($element['params']['ulisting_posts_carousel_loop']) ? $element['params']['ulisting_posts_carousel_loop'] : 'true';
$items_count_desktop                                 = isset($element['params']['ulisting_posts_carousel_items']) ? $element['params']['ulisting_posts_carousel_items'] : '1';
$items_count_tablet                                  = isset($element['params']['ulisting_posts_carousel_items_tablet']) ? $element['params']['ulisting_posts_carousel_items_tablet'] : '1';
$items_count_tablet_mini                             = isset($element['params']['ulisting_posts_carousel_items_tablet_mini']) ? $element['params']['ulisting_posts_carousel_items_tablet_mini'] : '1';
$items_count_mobile                                  = isset($element['params']['ulisting_posts_carousel_items_mobile']) ? $element['params']['ulisting_posts_carousel_items_mobile'] : '1';
$items_count_mobile_mini                             = isset($element['params']['ulisting_posts_carousel_items_mobile_mini']) ? $element['params']['ulisting_posts_carousel_items_mobile_mini'] : '1';
?>
<div class="rentex-carousel-listing-layout">
    <div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element) ?>>
        <?php
        if (isset($element['params']['title']) && !empty($element['params']['title'])) {
            echo '<h4 class="ulisting-heading normal">' . esc_html($element['params']['title']) . '</h4>';
        }
        ?>
        <div class="carousel-listing-layout-wrapper">
            <?php
            echo '<div class="ulisting_posts_box ' . $style . '" data-desktop="' . esc_attr($items_count_desktop) . '" data-tablet="' . esc_attr($items_count_tablet) . '" data-tablet-mini="' . esc_attr($items_count_tablet_mini) . '" data-mobile="' . esc_attr($items_count_mobile) . '" data-mobile-mini="' . esc_attr($items_count_mobile_mini) . '" data-nav="' . esc_attr($carousel_nav) . '" data-dots="' . esc_attr($carousel_dots) . '" data-loop="' . esc_attr($carousel_loop) . '">';
            echo do_shortcode("[ulisting-$sort_by listing_type_id='$type_id' limit='$per_page' item_template='$item_template']");
            echo '</div>';
            ?>
        </div>
    </div>
</div>
