<?php
/**
 * Listing list order
 *
 * Template can be modified by copying it to yourtheme/ulisting/listing-list/listing-order.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0.3
 */

rentex_listing_components_order();
$list = '<ul data-v-if="view_type==\'list\'" class="list-inline">
			<li class="list-inline-item" data-v-for=" (item, key)  in listing_order">
				<span style="cursor: pointer" data-v-on_click="selected=item; change()">{{item.label}}</span>
			</li>
		 </ul>';

$select = '<ulisting-select2 v-if="selected" data-v-bind_options="listing_order" v-model="selected" text="label" theme="bootstrap4"></ulisting-select2>';

$sort_panel = '<div '.\uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element).' ><div class="ulisting-order-wrap"><span>'. esc_html__('Sort By ','rentex') .'</span>
					<stm-listing-order inline-template
										v-on:set-order="set_order"
								       :listing_order="listing_order_data.listing_order"
								       :order_by_default="listing_order_data.order_by_default"
								       :view_type="listing_order_data.view_type">
										<div> [sort_pane_inner] </div>
					</stm-listing-order>
					<stm-search-form-advanced
				class="ulisting-form"
				inline-template
				data-v-on_url-update="set_url"
				data-v-on_location-update="location_update"
				data-v-on_exists-filter="exists_filter"
				data-v-bind_show="filter.show"
				data-v-bind_url="url"
				data-v-bind_listing_type_id="listing_type_id"
				data-v-bind_search_form_type="search_form_type"
				data-v-bind_data="filter.field_data"
				data-v-bind_field_type="filter.field_type"
				data-v-bind_field_show="field_show"
				data-v-bind_search_fields="filter.search_fields">
					<div>
						<div data-v-if="show">
						</div>
					</div>
			</stm-search-form-advanced>
				</div></div>';
echo \uListing\Classes\StmInventoryLayout::render_sort($element['params']['template'], $sort_panel, $list, $select)
?>
