<?php

use uListing\Classes\StmListingTemplate;

$carousel_settings = [];
if ($view !== 'grid') {
    $carousel_settings = [
        'carousel_nav'          => $settings['ulisting_posts_carousel_nav'],
        'carousel_dots'         => $settings['ulisting_posts_carousel_dots'],
        'carousel_loop'         => $settings['ulisting_posts_carousel_loop'],
        'items_count_tablet'    => $settings['listing_posts_item_columns_tablet'],
        'items_count_mobile'    => $settings['listing_posts_item_columns_mobile'],
        'items_count_desktop'   => $settings['listing_posts_item_columns'],
        'item_count_attributes' => isset($settings['ulisting_posts_attributes_' . $type_id]) ? $settings['ulisting_posts_attributes_' . $type_id] : [],
    ];

    $view = 'carousel';
}

$template = $settings['listing_posts_styles'];

echo StmListingTemplate::load_template(
    'listing-posts/' . $view,
    array(
        'type_id'           => $type_id,
        'settings'          => $settings,
        'listingType'       => $listingType,
        'carousel_settings' => $carousel_settings,
        'item_template'     => $template,
    )
);
