<?php
/**
 * Listing ulisting popular
 * @see     #
 * @package Homepress/Templates
 * @version 1.0
 */

$listingType = null;
foreach ( $listings as $listing ){
    $item = "";
    if(!$listingType)
        $listingType =  $listing->getType();
    if( ($listing_item_card_layout = get_post_meta($listingType->ID, 'stm_listing_item_card_'.$view_type)) AND isset($listing_item_card_layout[0]) ) {
        $listing_item_card_layout = maybe_unserialize($listing_item_card_layout[0]);
        $config   = $listing_item_card_layout['config'];
        $sections = $listing_item_card_layout['sections'];
    }
    if(isset($item_template) && !empty($item_template)){
        $sections[0]['rows'][0]['columns'][0]['elements'][0]['params']['style_template'] = $item_template;
    }
    $item.= \uListing\Classes\StmListingTemplate::load_template('loop/loop', [
        'model'       => $listing,
        'view_type'   => $view_type,
        'listingType' => $listingType,
        'item_class'  => $item_class,
        'listing_item_card_layout' => $sections
    ]);
    echo '<div class="column-item ulisting-item-grid '. $config['template'] .'">'.$item.'</div>';
}
