<?php

use uListing\Classes\StmListingAttribute;

$rentex_listing_setting = get_option('rentex_listing_setting');
$rentex_walk_api        = $rentex_listing_setting['walk_score_api_key'];/*Walk Score APi Key*/

$location  = $args['model']->getAttributeValue(StmListingAttribute::TYPE_LOCATION);
$address   = $location['address'];
$latitude  = $location['latitude'];
$longitude = $location['longitude'];

if (!isset($rentex_walk_api) || empty($rentex_walk_api)) return;
$setting_data = 'var ws_wsid = "' . esc_attr($rentex_walk_api) . '"; ws_address = "' . esc_html($address) . '"; ws_format = "wide"; ws_width = "550"; ws_height = "350";';
rentex_listing_components_walk_score();
rentex_listing_action_inline_data('walkscore', $setting_data, 'before');
?>
<div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element); ?>>
    <div id='ws-walkscore-tile' class="walkscore-box"></div>
</div>
