<?php
if(empty($endpoint))
	$endpoint = 'wishlist-list'
?>

<ul class="nav nav-tabs ulisting-tabs nav-pills nav-fill">

	<li class="nav-item <?php echo ('wishlist-list' == $endpoint) ? 'active' : null?>">
		<a href="<?php echo esc_url($wishlist_page_url)?>/wishlist-list"  class="nav-link">
			<span  class="badge badge-dark ulisting-wishlist-total-count"><?php echo \uListing\UlistingWishlist\Classes\UlistingWishlist::get_total_count()?></span>
			<?php esc_html_e("Wishlist", "rentex")?>
		</a>
	</li>

	<li class="nav-item <?php echo ('saved-searches-list' == $endpoint) ? 'active' : null?>">
		<a href="<?php echo esc_url($wishlist_page_url)?>/saved-searches-list" class="nav-link">
			<span  class="badge badge-dark ulisting-saved-searches-total-count"><?php echo \uListing\Classes\UlistingSearch::get_total_count()?></span>
			<?php esc_html_e("Saved Search", "rentex")?>
		</a>
	</li>

</ul>



<div class="tab-content">
	<div class="tab-pane fade show active" >
		<?php
		switch ($endpoint){
			case "wishlist-list":
				do_action('ulisting-wishlist-render-page');
				break;
			case "saved-searches-list":
				do_action('ulisting-saved-searches-render-page');
				break;
		}
		?>
	</div>
</div>


