<?php
get_header(); ?>

	<div id="primary" class="content">

		<main id="main" class="site-main" role="main">

			<div class="error-404 not-found">

				<div class="page-content text-center">
					<header class="page-header">
						<h1 class="error-title"><?php esc_html_e('404', 'rentex'); ?></h1>
						<h2 class="page-title"><?php esc_html_e( 'Oop, that link is broken.', 'rentex' ); ?></h2>
					</header><!-- .page-header -->

                    <div class="error-text">
                        <span><?php esc_html_e("Page doesn’t exist or some other error occured. Go to our
Home page or go back to Previous page", 'rentex') ?></span>
					</div>
					<div class="error-btn-bh">
						<a href="<?php echo esc_url(home_url('/')); ?>"
						   class="return-home button "><?php esc_html_e('Home page', 'rentex'); ?></a>
						<a href="javascript: history.go(-1)"
						   class="go-back button "><?php esc_html_e('Previous page', 'rentex'); ?></a>
					</div>
				</div><!-- .page-content -->
			</div><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
