(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        elementorFrontend.hooks.addAction('frontend/element_ready/rentext_listing_search.default', ($scope) => {
            let $class_loading = $('.rentex_loading_preloader', $scope);

            $(window).load(function () {
                $class_loading.removeClass('preloader_show');
            });

            let scroll = 0,
                $search_box = $('.elementor-widget-listing-search-wrap', $scope),
                $wrap = $('.elementor-widget-listing-search-wrap', $scope),
                $button_advanced = $('.advanced-search-btn-wrapper', $scope);
            let check = true;
            $wrap.on('click', '.basic-search-item-col, .advanced-search-btn-wrapper', (e) => {

                if ($search_box.hasClass('active-popup') || $search_box.find('.rentex_listing_search_admin').length !== 0) {
                    return
                }
                if (check) {
                    let position = $wrap.offset();
                    scroll = $(window).scrollTop();
                    $("html").animate({scrollTop: position.top - 95}, 500);
                    $search_box.addClass('active-popup');
                    setTimeout(function () {
                        disableScrolling();
                    }, 500);
                    check = false;
                }

            });

            $button_advanced.on('click', (e) => {

                if ($(e).hasClass('open')) {
                    disableScrolling();
                } else {
                    setTimeout(function () {
                        if (document.querySelector('.advanced-search-item-wrap') != null) {
                            let $search_adv_wrap = $('.advanced-search-item-wrap', $scope),
                                height_adv = $search_adv_wrap.height(),
                                search_adv_offset = $search_adv_wrap.offset(),
                                view_height = $(window).height(),
                                position_top = $(window).scrollTop();

                            if ((search_adv_offset.top + height_adv + 30) > (view_height + position_top)) {
                                disableScrolling((search_adv_offset.top + height_adv + 30) - (view_height + position_top));
                            }
                        }
                    }, 1000);
                }

            });

            $('body').on('click', '.search-popup-close', (e) => {
                check = true;
                e.preventDefault();
                e.stopPropagation();
                enableScrolling();
                $("html").animate({scrollTop: scroll}, 500);
                setTimeout(function () {
                    $search_box.removeClass('active-popup');
                }, 600);
            });

        });
    });


    function disableScrolling(to) {
        var from = window.scrollY;
        to = to ? to + from : from;
        window.onscroll = function () {
            if ($(window).scrollTop() < from) {
                window.scrollTo(0, from);
            }
            if ($(window).scrollTop() > to) {
                window.scrollTo(0, to);
            }
        };
    }

    function enableScrolling() {
        window.onscroll = function () {
        };
    }

})(jQuery);
