"use strict";
(function ($) {
	$(window).load(function () {
		rentex_compare();
	});

	$(window).resize(function () {
		rentex_compare();
	});
	var rentex_compare = function rentex_compare() {
		$('.compare_right_columns .compare-list').each(function () {
			var compare_right_columns = $(this).find('.compare-listing-item').length;

			if (compare_right_columns < 4) {
				$(".compare_right_columns").addClass('three_columns');
			}
		});
		var heights = {};
		$('[data-index]').each(function (item_index, item) {
			var itemHeight = $(item).outerHeight();
			var index = $(item).data('index');
			if (typeof heights[index] === 'undefined' || heights[index] < itemHeight) heights[index] = itemHeight;
		});
		$.each(heights, function (item_index, height) {
			$("[data-index=\"".concat(item_index, "\"]")).css({
				minHeight: "".concat(height, "px")
			});
		});
	};

})(jQuery);
