<?php
/**
 * =================================================
 * Hook rentex_page
 * =================================================
 */
add_action('rentex_page', 'rentex_page_header', 10);
add_action('rentex_page', 'rentex_page_content', 20);

/**
 * =================================================
 * Hook rentex_single_post_top
 * =================================================
 */
add_action('rentex_single_post_top', 'rentex_categories_link', 1);
add_action('rentex_single_post_top', 'rentex_post_title', 5);
add_action('rentex_single_post_top', 'rentex_post_meta', 10);

/**
 * =================================================
 * Hook rentex_single_post
 * =================================================
 */
add_action('rentex_single_post', 'rentex_post_thumbnail', 10);
add_action('rentex_single_post', 'rentex_post_content', 30);

/**
 * =================================================
 * Hook rentex_single_post_bottom
 * =================================================
 */
add_action('rentex_single_post_bottom', 'rentex_post_taxonomy', 10);
add_action('rentex_single_post_bottom', 'rentex_social_share', 5);
add_action('rentex_single_post_bottom', 'rentex_post_nav', 15);
add_action('rentex_single_post_bottom', 'rentex_display_comments', 20);

/**
 * =================================================
 * Hook rentex_loop_post_head
 * =================================================
 */
add_action('rentex_loop_post_head', 'rentex_post_thumbnail', 5);

/**
 * =================================================
 * Hook rentex_loop_post_comtent
 * =================================================
 */
add_action('rentex_loop_post_comtent', 'rentex_post_date', 5);
add_action('rentex_loop_post_comtent', 'rentex_categories_link', 10);
add_action('rentex_loop_post_comtent', 'rentex_post_title', 20);
add_action('rentex_loop_post_comtent', 'rentex_post_content', 30);

/**
 * =================================================
 * Hook rentex_footer
 * =================================================
 */
add_action('rentex_footer', 'rentex_footer_default', 20);

/**
 * =================================================
 * Hook rentex_after_footer
 * =================================================
 */

/**
 * =================================================
 * Hook wp_footer
 * =================================================
 */
add_action('wp_footer', 'rentex_template_account_dropdown', 1);
add_action('wp_footer', 'rentex_mobile_nav', 1);

/**
 * =================================================
 * Hook rentex_before_header
 * =================================================
 */

/**
 * =================================================
 * Hook rentex_before_content
 * =================================================
 */
add_action('rentex_before_content', 'rentex_breadcrumb', 10);

/**
 * =================================================
 * Hook rentex_content_top
 * =================================================
 */

/**
 * =================================================
 * Hook rentex_post_content_before
 * =================================================
 */

/**
 * =================================================
 * Hook rentex_post_content_after
 * =================================================
 */

/**
 * =================================================
 * Hook rentex_sidebar
 * =================================================
 */
add_action('rentex_sidebar', 'rentex_get_sidebar', 10);

/**
 * =================================================
 * Hook rentex_loop_after
 * =================================================
 */
add_action('rentex_loop_after', 'rentex_paging_nav', 10);

/**
 * =================================================
 * Hook rentex_page_after
 * =================================================
 */
add_action('rentex_page_after', 'rentex_display_comments', 10);
