<?php
/**
 * Created by PhpStorm.
 * User: lelieu
 * Date: 2020-06-09
 * Time: 15:56
 */
namespace uListing\Classes;
class Rentex_Listing_Settings {

    public function __construct() {
        add_filter("ulisting_settings_panels", [self::class, "add_settings_panel"]);
        add_action("ulisting_settings_save", [self::class, "settings_save"]);
    }

    public static function add_settings_panel($panels){
        $panels["rentex_settings"] = [
            "title" => esc_html__('Rentex Settings', "rentex"),
            "view" => stm_render(get_template_directory() . '/inc/ulisting/admin/listing-settings.php', null),
        ];

        return $panels;
    }

    public static function settings_save($data){
        if(isset($_POST['Rentex_Listing_Settings']))
            Rentex_Listing_Settings::save_rentex_settings($_POST['Rentex_Listing_Settings']);
    }
    /**
     * @param $data
     */
    public static function save_rentex_settings($data) {
        update_option( 'rentex_listing_setting', $data);
    }
}
new Rentex_Listing_Settings();
