<?php
add_filter('ulisting_single_layout_builder_data', function ($data) {
    $data["elements"][] = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Heading Title", 'rentex'),
        "type"        => "element",
        "group"       => "basic",
        "module"      => "element",
        "field_group" => "rentex_heading_title",
        "params"      => [
            "template_path"    => "builder/attribute/heading-title",
            "type"             => "element",
            "id"               => "",
            "class"            => "",
            "color"            => "",
            "background_color" => ""
        ],
    ];

    $data["config"]["rentex_heading_title"] = [
        "field_group" => [
            "title"    => [
                "name"   => esc_html__("Title", 'rentex'),
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("Title", 'rentex'),
                        "name"  => "title",
                    ],
                    [
                        "type" => "text",
                        "label" => esc_html__("Font size number", 'rentex'),
                        "name"  => "font-size",
                    ],
                ]
            ],
            "advanced" => [
                "name"   => esc_html__("Advanced", 'rentex'),
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("ID", 'rentex'),
                        "name"  => "id",
                    ],
                    [
                        "type"  => "text",
                        "label" => esc_html__("Class", 'rentex'),
                        "name"  => "class",
                    ],
                    [
                        "type"  => "margin",
                        "label" => esc_html__("Margin", 'rentex'),
                        "name"  => "margin",
                    ],
                    [
                        "type"  => "padding",
                        "label" => esc_html__("Padding", 'rentex'),
                        "name"  => "padding",
                    ],
                ]
            ]
        ]
    ];

    return $data;
});
