<?php
add_action('wp', function () {
	$post_id = get_the_ID();
	$keys = array(
		'stm_post_views',
		'stm_day_' . date('j'),
		'stm_month_' . date('m')
	);
	foreach ($keys as $key) {
		$current_views = intval(get_post_meta($post_id, $key, true));
		$new_views     = (!empty($current_views)) ? $current_views + 1 : 1;
		update_post_meta($post_id, $key, $new_views);
	}
}, 100, 1);
