<?php
add_filter('ulisting_item_layout_data', function ($data) {
    $data["elements"][] = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Opal Preview List", 'rentex'),
        "type"        => "element",
        "group"       => "basic",
        "module"      => "element",
        "field_group" => "rentex_preview_list",
        "params"      => [
            "template_path"  => "loop/opal-preview-list",
            "type"           => "element",
            "style_template" => 'list-style-1'
        ],
    ];

    $data["config"]["rentex_preview_list"] = [
        "field_group" => [
            "template" => [
                "name"   => esc_html__("Template", 'rentex'),
                "fields" => [
                    [
                        "type"  => "blog",
                        "label" => esc_html__("Style template", 'rentex'),
                        "name"  => "style_template",
                        "items" => [
                            "list-style-1" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/list-style-1.jpg",
                                "name" => esc_html__("Style 1", 'rentex'),
                            ],
                        ]
                    ]
                ]

            ],
        ]
    ];
    return $data;
});
