<?php
add_filter('ulisting_single_layout_builder_data', function($data){
	$data["elements"][] = [
		"id"           => wp_rand(100, 999) . "_" . time(),
		"title"        => esc_html__("Top bar", 'rentex'),
		"type"         => "element",
		"group"        => "general",
		"module"       => "element",
		"field_group"  => "single_inventory_top_bar",
		"params"       => [
			"template_path"     => "listing-single/item-meta/style_1",
			"type"              => "element",
			"id"                => "",
			"class"             => "",
			"color"             => "",
			"background_color"  => ""
		],
	];

	$data["config"]["single_inventory_top_bar"] = [
		"field_group" => [
            "style"    => [
                "name"   => esc_html__("Style", 'rentex'),
                "fields" => [
                    [
                        "type"  => "color",
                        "label" => esc_html__("Background color", 'rentex'),
                        "name"  => "background_color",
                    ],
                    [
                        "type"  => "color",
                        "label" => esc_html__("Text color", 'rentex'),
                        "name"  => "color",
                    ]
                ]
            ],
            "advanced" => [
                "name" => esc_html__("Advanced", 'rentex'),
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("ID", 'rentex'),
                        "name"  => "id",
                    ],
                    [
                        "type"  => "text",
                        "label" => esc_html__("Class", 'rentex'),
                        "name"  => "class",
                    ],
                    [
                        "type"  => "margin",
                        "label" => esc_html__("Margin", 'rentex'),
                        "name"  => "margin",
                    ],
                    [
                        "type"  => "padding",
                        "label" => esc_html__("Padding",'rentex'),
                        "name"  => "padding",
                    ],
                ]
            ]
		]
	];

	return $data;
});
