<?php
/**
 * Loop list
 *
 * Template can be modified by copying it to yourtheme/ulisting/loop/list.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */

use uListing\Classes\StmListingTemplate;
use uListing\Classes\Builder\UListingBuilder;

?>
<div class="<?php echo esc_attr( $item_class ); ?>">
    <div class="inventory_content_wrap">
        <?php
        if( isset( $args['item_template'] ) && !empty($args['item_template']) ) {
            StmListingTemplate::load_template(
                "account/my-listing/list-style/{$args['item_template']}",
                [
                    'model' => $args['model'],
                ],
                true);
        }else{
            echo UListingBuilder::render($listing_item_card_layout, "ulisting_item_card_".$listingType->ID."_list", [
                'model' => $args['model'],
                'listingType' => $listingType,
            ]);
        }
        ?>
    </div>
</div>
