<?php
/**
 * Add listing field price
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/field/price.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */
?>

<div class="stm-row">
    <div class="stm-col-12 stm-col-sm-4">
        <div class="ulisting-form-gruop form-field">
            <label><?php echo esc_html($attribute->title)?></label>
            <div v-bind:class="{'error-field': errors['<?php echo esc_attr($attribute->name)?>']}">
                <input type="text" class="form-control" v-model="attributes.<?php echo esc_attr($attribute->name)?>.value.genuine">
            </div>
            <span v-if="errors['<?php echo esc_attr($attribute->name)?>']" class="form-valid-error">{{errors['<?php echo esc_attr($attribute->name)?>']}}</span>
        </div>
    </div>

    <div class="stm-col-12 stm-col-sm-4">
        <div class="ulisting-form-gruop form-field">
            <label><?php echo esc_html__('Sale','rentex').' '.esc_html($attribute->title); ?></label>
            <input class="form-control" type="text" v-model="attributes.<?php echo esc_attr($attribute->name)?>.value.sale">
        </div>
    </div>

    <div class="stm-col-12 stm-col-sm-4">
        <div class="ulisting-form-gruop form-field">
            <label><?php echo esc_html__('Suffix','rentex').' '.esc_html($attribute->title); ?></label>
            <input class="form-control" type="text" v-model="attributes.<?php echo esc_attr($attribute->name)?>.value.suffix">
        </div>
    </div>
</div>




