<?php
/**
 * Builder element html
 *
 * Template Grid Listing
 */

if(!isset($element['params']['listing_posts_type_list']) || empty($element['params']['listing_posts_type_list'])) return;
$style       = $element['params']['listing_posts_view'] = 'grid';
$item_template     = isset($element['params']['style_template']) ? $element['params']['style_template'] : '';
$sort_by     = isset($element['params']['listing_posts_sort_by']) ? $element['params']['listing_posts_sort_by'] : 'latest';
$type_id     = isset($element['params']['listing_posts_type_list']) ? $element['params']['listing_posts_type_list'] : 0;
$per_page    = isset($element['params']['listing_posts_per_page']) ? $element['params']['listing_posts_per_page'] : '3';
$item        = isset($element['params']['listing_posts_item_columns']) ? $element['params']['listing_posts_item_columns'] : '3';
$item_tablet = isset($element['params']['listing_posts_item_columns_tablet']) ? $element['params']['listing_posts_item_columns_tablet'] : '2';
$item_mobile = isset($element['params']['listing_posts_item_columns_mobile']) ? $element['params']['listing_posts_item_columns_mobile'] : '1';
?>
<div class="rentex-grid-listing-layout">
    <div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element) ?>>
        <?php
        if (isset($element['params']['title']) && !empty($element['params']['title'])) {
            echo '<h4 class="ulisting-heading normal">' . esc_html($element['params']['title']) . '</h4>';
        }
        ?>
        <div class="grid-listing-layout-wrapper">
            <?php
            echo '<div class="ulisting_posts_box ulisting_posts_' . $sort_by . '_' . $style . '"><div class="row" data-elementor-columns="' . $item . '" data-elementor-columns-tablet="' . $item_tablet . '" data-elementor-columns-mobile="' . $item_mobile . '">';
            echo do_shortcode("[ulisting-$sort_by listing_type_id='$type_id' limit='$per_page' item_template='$item_template']");
            echo '</div></div>';
            ?>
        </div>
    </div>
</div>
