<?php
use uListing\Classes\StmListingTemplate;
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=2.0">
    <link rel="profile" href="//gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="hfeed site">
    <div id="content" class="site-content" tabindex="-1">
        <div id="primary">
            <main id="main" class="site-main" role="main">
                <?php
                while (have_posts()) : the_post();
                    the_content();
                endwhile; // End of the loop.
                ?>
            </main><!-- #main -->
        </div><!-- #primary -->
    </div>
</div>
<?php wp_footer(); ?>
</body>
</html>
