<?php
/**
 * Filter search form category
 *
 * Template can be modified by copying it to yourtheme/ulisting/filter/stm_search_form_category.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0.6
 */

ulisting_field_components_enqueue_scripts_styles();
rentex_listing_components_search_category();

use uListing\Classes\StmListingType;
use uListing\Classes\StmListingTemplate;

if(empty($params)) $params = ['style'=>'style_1'];

StmListingTemplate::load_template(
    'filter/search_form_category_styles/' . $params[ 'style' ],
    array(
        'listingsTypes' => $listingsTypes,
        'categories' => $categories,
        'params' => $params
    ), true );
