<?php
/**
 * @var $model uListing\Classes\StmListing
 */

use uListing\Classes\StmListingTemplate;
use uListing\Classes\StmListingAttribute;
use uListing\Classes\StmListingItemCardLayout;

?>
<div class="rentex-listing-grid-item <?php echo esc_attr($element['params']['style_template']); ?>">
    <?php
    $model = $args['model'];
    /*Thumbnail*/
    $element_thumbnail                       = $element;
    $thumbnail_panel                         = "";
    $element_thumbnail['params']['class']    = " ulisting-thumbnail-box";
    $element_thumbnail['params']['template'] = "template_1";
    $feature_image                           = $args['model']->getfeatureImage('rentex-thumbnail-listing');
    $feature_background_image                = ($feature_image) ? $feature_image : get_placeholder_image_url();
    $thumbnail_panel                         = '<div class="thumbnail-box-listing"><a href="' . get_permalink($args['model']->ID) . '" class="ulisting-thumbnail-box-link"></a><img src="' . $feature_background_image . '" alt="'.esc_attr(get_bloginfo('name')).'">[thumbnail_panel_inner]</div>';

    /*Price*/
    $element_price                = $element;
    $element_price['type']        = "attribute";
    $element_price['field_group'] = "price";

    $element_price['params']['type']           = "attribute";
    $element_price['params']['attribute']      = "price";
    $element_price['params']['attribute_type'] = "price";
    $element_price['params']['style_template'] = "ulisting_style_1";


    ?>
    <!--Thumbnail-Box-->
    <div class="rentex-listing-thumbnail-panel">
        <?php
        /*Get Thumbnail Image*/
		printf('%s', StmListingItemCardLayout::render_thumbnail_box("template_1", $thumbnail_panel, "", "", $args['model']->ID));
        ?>
    </div>

    <!--Content-Box-->
    <div class="rentex-listing-content-panel">
        <div class="rentex-main-content">
            <?php
            $rentex_price_model        = $model;
            $rentex_price_model->title = esc_html__('Price', 'rentex');
            $rentex_price_value        = $rentex_price_model->getAttributeValue('price');
            if( isset($rentex_price_value) && !empty($rentex_price_value) ){
                echo StmListingAttribute::render_price($rentex_price_model, $element_price, $rentex_price_value);
            }
            ?>
            <!--Get Title-->
            <div class="listing-single-title style_1">
                <div class="wrapper">
                    <h3 class="title">
                        <a href="<?php echo get_permalink($args['model']) ?>">
                            <?php echo esc_html($args['model']->post_title); ?>
                        </a>
                    </h3>
                </div>
            </div>
        </div>
    </div>

</div>
