<?php
/**
 * Wishlist link
 *
 * Template can be modified by copying it to yourtheme/ulisting/wishlist/link.php
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0.2
 */
$wishlist_page = \uListing\Classes\StmListingSettings::getPages("wishlist_page");
?>
<div class="ulisting-wishlist-link">
    <a class="ulisting-wishlist-page-link group-button" href="<?php echo esc_url(get_page_link($wishlist_page))?>">
        <i class="rentex-icon rentex-icon-heart"></i>
        <span class="ulisting-wishlist-total-count-all count ulisting-c-total-count-all"><?php echo esc_attr($total)?></span>
    </a>
    <ul class="ulisting-account-panel-dropdown-menu">
        <li>
            <a class="nav-link " href="<?php echo esc_url(get_page_link($wishlist_page))?>/wishlist-list">
                <?php echo esc_html__("Listing", "rentex")?>
                <span class="badge badge-secondary ulisting-wishlist-total-count">0</span>
            </a>
        </li>
        <li>
            <a class="nav-link " href="<?php echo esc_url(get_page_link($wishlist_page))?>/saved-searches-list">
                <?php echo esc_html__("Search", "rentex")?>
                <span class="badge badge-secondary ulisting-saved-searches-total-count">0</span>
            </a>
        </li>
    </ul>
</div>

